#
# spec file for package ltmodem (Version 2.6.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# neededforbuild  kernel-source

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext kernel-source libtool perl rpm

Name:           ltmodem
Version:        2.6.2
Release:        38.24
PreReq:         /bin/cat /sbin/depmod
Autoreqprov:    on
Group:          Hardware/Modem
License:        Commercial
URL:            http://www.agere.com
Summary:        Driver for modems with lucent chipsets
Source:         %{name}-%{version}.tar.bz2
Source1:        modules.conf.ltmodem
Patch0:         memset-regparms
Patch1:         timer-regparms
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch: %ix86

%description
This package includes the drivers for many modems with Lucent chipsets,
under a variety of modem brand names.

They are controllerless modems and so sometimes called a "winmodems"
(or in this case linmodems).

This is not completely free sofware! Please read the license agreement
in /usr/share/doc/packages/ltmodem/license.txt

As this driver is binary only, please note, that SuSE cannot offer
installation support for these modems!



%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%define modrootdir /lib/modules/
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
ARCH=i386
VERSION=$(uname -r)
VERSION="${VERSION%%-*}"
RELEASE="${VERSION##*-}"
VERSION="${VERSION%%-$RELEASE}"
CONFIGS="$(echo /usr/src/linux-${VERSION}-${RELEASE}/arch/i386/defconfig.*)"
for CONFIG in ${CONFIGS}; do
	case $CONFIG in
		*.um|*.xen*|*.vfe) continue ;;
	esac
	CURDIR=`pwd`
	FLAVOR="$(basename $CONFIG | cut -d'.' -f2)"
	echo $CONFIG
	echo $FLAVOR
	DEST="/%{modrootdir}${VERSION}-override-${FLAVOR}"
	# build
	echo "building: $FLAVOR ${VERSION} ${RELEASE}"
	cp -f $CONFIG /usr/src/linux-${VERSION}-${RELEASE}/.config
	yes "" | make -C /usr/src/linux oldconfig
	make clean
	make -C /usr/src/linux O=/usr/src/linux-obj/$ARCH/$FLAVOR M=$CURDIR
	# install
	mkdir -p $RPM_BUILD_ROOT/$DEST
	cp -v ltmodem.ko ltserial.ko $RPM_BUILD_ROOT/$DEST
done

%install
GROUP='dialout'
MODE='664'
# install the modules
install -m755 -d $RPM_BUILD_ROOT/dev
test -e $RPM_BUILD_ROOT/dev/ttyLT0 && rm -f $RPM_BUILD_ROOT/dev/ttyLT0
mknod $RPM_BUILD_ROOT/dev/ttyLT0 c 62 64
chgrp ${GROUP} $RPM_BUILD_ROOT/dev/ttyLT0
chmod ${MODE}  $RPM_BUILD_ROOT/dev/ttyLT0
#ln -sf /dev/ttyLT0 /dev/modem 1> /dev/null 2> /dev/null
install -m 755 -d $RPM_BUILD_ROOT/etc/modprobe.d 
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/modprobe.d/ltmodem

%post
depmod -a || :
cat <<EOT
 Copyright (C) 2001, 2002, 2003, 2004 Agere Systems Inc.
 Parts of this software are not GPL authorized and not free!
 Please read the Agere Systems WinModem End User SOFTWARE LICENSE
 AGREEMENT in /usr/share/doc/packages/ltmodem/license.txt
 before using the modules!
 As this driver is binary only, please note, that SuSE can offer
      no installation support
 for this modem.
EOT
exit 0

%postun
depmod -a || :

%clean
rm -fr $RPM_BUILD_ROOT

%files
%doc readme.txt license.txt README
/dev/ttyLT0
/etc/modprobe.d
/lib/modules/*

%changelog -n ltmodem
* Tue Feb 14 2006 - ro@suse.de
- ignore xen* and vfe kernels
* Fri Jul 29 2005 - mls@suse.de
- block xen kernel config
* Tue Jun 15 2004 - mjancar@suse.cz
- fix build
* Tue Apr 06 2004 - mjancar@suse.cz
- run depmod -a in %%post (#38510)
- remove kernel-default from neededforbuild
* Tue Mar 30 2004 - ak@suse.de
- handle regparms in timer callback (still #36707)
* Mon Mar 29 2004 - ak@suse.de
- add asmlinkage memset
* Sun Mar 07 2004 - ro@suse.de
- requires: modules.conf -> modprobe.conf
* Fri Mar 05 2004 - mjancar@suse.cz
- update to 2.6.2
* Sat Jan 24 2004 - ro@suse.de
- removed modutils from neededforbuild
* Fri Sep 19 2003 - mls@suse.de
- build for all kernels
- use override directory
* Tue Sep 09 2003 - mls@suse.de
- fix build for SL90
* Mon Apr 28 2003 - mls@suse.de
- got official version from agere, added agere EULA
* Tue Mar 11 2003 - mls@suse.de
- initial version
